Subject: Re: [PATCH net] gre: Fix MTU sizing check for gretap tunnels

From: Cong Wang <[email-masked]>
Date: Fri, 12 Jul 2013 01:11:16 +0000 (UTC)

On Thu, 11 Jul 2013 at 20:12 GMT, Alexander Duyck <[email-masked]> wrote:
> This change fixes an MTU sizing issue seen with gretap tunnels when non-gso
> packets are sent from the interface.
>
> In my case I was able to reproduce the issue by simply sending a ping of
> 1421 bytes with the gretap interface created on a device with a standard
> 1500 mtu.
>
> This fix is based on the fact that the tunnel mtu is already adjusted by
> dev->hard_header_len so it would make sense that any packets being compared
> against that mtu should also be adjusted by hard_header_len and the tunnel
> header instead of just the tunnel header.
>

This patch indeed fixes the performance problem I reported, nice work!

Thanks for the patch, Alexander!